#version 330

in vec2 textPos;

uniform sampler2D colorTexture;
uniform sampler2D edgeTexture;

// Ouput data
layout(location = 0) out vec4 fragColor;

void main() {
	
    fragColor = texture2D(colorTexture, textPos) - texture2D(edgeTexture, textPos);

}